<template>
  <div id="videoPlayerMain">
    <div class="vol-control">
      <div id="vol-down"><i class="fas fa-volume-down fa-2x"></i></div> &nbsp;
      <div id="vol-up"><i class="fas fa-volume-up fa-2x"></i></div>
    </div>
    <video id="videoPlayer" class="video-js"></video>
    <div id="vol-display"><div id="vol-percent">25%</div></div>
  </div>
</template>

<script>
import Videojs from 'video.js';

export default {
  
}
</script>


<style>
.vol-control {
  position: absolute;
  top: 1em;
  right: 1em;
  border-radius: 4em;
  background-color: #AAAAAA;
  padding: 0.5em 1em 0.5em 1em;
  opacity: .30;
  z-index: 5;
  display: block;
}
#vol-percent {
  color: white;
  opacity: 1;
  margin-bottom: auto;
  margin-top: auto;
  line-height: 2em;
  font-size: 1.5em;
  padding-bottom: 0.5em;
  min-width: 3em;
  width: 100%;
}
#vol-up, #vol-down, #vol-percent {
  display: inline;
}
#vol-display {
  height: 60px;
  width: 80px;
  background-color: #AAAAAA;
  border-radius: 4em;
  padding: 0.5em 1em 0.5em 1em;
  opacity: .30;
  z-index: 6;
  display: block;
  position: absolute;
  top:0;
  bottom:0;
  left:0;
  right:0;
  
  text-align: right;
  
  margin: auto;
    
}
#videoPlayer {
  margin: 0px;
  padding: 0px;
  height: auto;
  width: 100%;
  max-height: 100%;
  display: block;
}
#videoPlayerMain {
  height: 100vh;
  align-items: center;
  display: none;
  justify-content: center;
  text-align: center;
}
</style>
